package com.chinacreator.video.mapper;

import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * 视频审核管理中台搭建
 * @author zhengrong.yan
 * @date 20210628
 */
@Component
public interface SmsCheckDao {

	/*
	 * 获取流水号
	 * @return
	 */
	String getNo();

	/**
	 * 添加记录
	 * @param hm
	 */
	void addRec(HashMap hm);

	//更新表数据（是否违规记录）
	void upRec(HashMap hm);

	//更新表数据（结果更新）
	void upRec2(HashMap hm);

	//更新主表数据回调数据
	void upCallbackRec(HashMap hm);

	//获取回调url，channel等信息
	HashMap getCallbackUrl(HashMap hm);

	//更新回调内容
	void upNotifyRec(HashMap hm);

	//获取业务id
	String getBussinesid(HashMap hm);

	//保存业务id
	int saveBussinesid(HashMap hm);

	//获取渠道方名称
	String getChannelName(String channel);

	//将回调的数据添加到新表
	void addCallbackRec(HashMap hm);

	//将回调的数据更新到新表
	void upNotifyCallbackRec(HashMap hm);


}
